import { SfCommand } from '@salesforce/sf-plugins-core';
import { Connection, Org } from '@salesforce/core';
import { type OrgOpenOutput } from './orgTypes.js';
type OrgOpenFlags = {
    'url-only': boolean;
    browser?: 'chrome' | 'firefox' | 'edge';
    path?: string;
    private: boolean;
};
export declare abstract class OrgOpenCommandBase<T> extends SfCommand<T> {
    static enableJsonFlag: boolean;
    protected org: Org;
    protected connection: Connection;
    protected openOrgUI(flags: OrgOpenFlags, frontDoorUrl: string, retUrl?: string): Promise<OrgOpenOutput>;
}
export {};
